# boost::numeric::ublas::scalar_unary_functor< T > Struct Template Reference

Inherited by boost::numeric::ublas::scalar_conj< T >, boost::numeric::ublas::scalar_identity< T >, and boost::numeric::ublas::scalar_negate< T >.

List of all members.

## Public Types
typedef T | value_type
typedef type_traits< T > ::const_reference | argument_type
typedef type_traits< T > ::value_type | result_type

### template<class T>
struct boost::numeric::ublas::scalar_unary_functor< T >